ru.bitel.bgbilling.kernel.dynamic.common.bean

## Class GeneratorOptions

- java.lang.Object
- - ru.bitel.bgbilling.kernel.dynamic.common.bean.GeneratorOptions

-     public class GeneratorOptions
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `getDefaultImports()` Возвращает множество обязательных импортов.
    `java.util.Set<java.lang.String>` | `getDerivingInterfaceNames()` Возвращает множество интерфейсов, методы которых обязательно перегружаются
    `java.lang.String` | `getFullClassName()` Возвращает полное имя генерируемого класса.
    `java.util.Set<java.lang.String>` | `getInterfaceNames()` Возвращает множество наследуемых интерфейсов
    `java.lang.String` | `getPackageName()`
    `java.lang.String` | `getRawResourceData()` Сырые данные для ресурса (не java-класса).
    `java.lang.String` | `getSimpleClassName()`
    `java.lang.String` | `getSuperclassName()` Возвращает имя наследуемого суперкласса
    `void` | `setDefaultImports(java.util.Set<java.lang.String> defaultImports)` Устанавливает множество обязательных импортов.
    `void` | `setDerivingInterfaceNames(java.util.Set<java.lang.String> derivingInterfaceNames)` Устанавливает множество интерфейсов, методы которых обязательно перегружаются
    `void` | `setFullClassName(java.lang.String fullClassName)` Устанавливает полное имя генерируемого класса
    `void` | `setInterfaceNames(java.util.Set<java.lang.String> interfaceNames)` Устанавливает множество наследуемых интерфейсов
    `void` | `setRawResourceData(java.lang.String rawResourceData)` Сырые данные для ресурса (не java-класса).
    `void` | `setSuperclassName(java.lang.String superclassName)` Устанавливает имя наследуемого суперкласса

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratorOptions

          public GeneratorOptions()

  - ### Method Detail

    - #### getPackageName

          public java.lang.String getPackageName()

    - #### getSimpleClassName

          public java.lang.String getSimpleClassName()

    - #### getFullClassName

          public java.lang.String getFullClassName()

      Возвращает полное имя генерируемого класса.
      Returns:

    - #### setFullClassName

          public void setFullClassName(java.lang.String fullClassName)

      Устанавливает полное имя генерируемого класса
      Parameters:
        `fullClassName` -

    - #### getSuperclassName

          public java.lang.String getSuperclassName()

      Возвращает имя наследуемого суперкласса
      Returns:

    - #### setSuperclassName

          public void setSuperclassName(java.lang.String superclassName)

      Устанавливает имя наследуемого суперкласса
      Parameters:
        `superclassName` -

    - #### getDefaultImports

          public java.util.Set<java.lang.String> getDefaultImports()

      Возвращает множество обязательных импортов.
      Returns:

    - #### setDefaultImports

          public void setDefaultImports(java.util.Set<java.lang.String> defaultImports)

      Устанавливает множество обязательных импортов.
      Parameters:
        `defaultImports` -

    - #### setInterfaceNames

          public void setInterfaceNames(java.util.Set<java.lang.String> interfaceNames)

      Устанавливает множество наследуемых интерфейсов
      Parameters:
        `interfaceNames` -

    - #### getInterfaceNames

          public java.util.Set<java.lang.String> getInterfaceNames()

      Возвращает множество наследуемых интерфейсов
      Returns:

    - #### setDerivingInterfaceNames

          public void setDerivingInterfaceNames(java.util.Set<java.lang.String> derivingInterfaceNames)

      Устанавливает множество интерфейсов, методы которых обязательно перегружаются
      Parameters:
        `derivingInterfaceNames` -

    - #### getDerivingInterfaceNames

          public java.util.Set<java.lang.String> getDerivingInterfaceNames()

      Возвращает множество интерфейсов, методы которых обязательно перегружаются
      Returns:

    - #### getRawResourceData

          public java.lang.String getRawResourceData()

      Сырые данные для ресурса (не java-класса).
      Returns:
        байты для файла.

    - #### setRawResourceData

          public void setRawResourceData(java.lang.String rawResourceData)

      Сырые данные для ресурса (не java-класса).